## mercurial 5.9

=== debian/changelog ===
mercurial (5.9-3) unstable; urgency=medium

  * Further adjust tests for endianness-related variations.
  * Silence yet another test warning about `which`.

 -- Julien Cristau <jcristau@debian.org>  Wed, 25 Aug 2021 19:54:04 +0200

mercurial (5.9-2) unstable; urgency=medium

  * Fix bugs in revlog parsing causing issues on s390x, and adjust some
    tests to accept variations in zstd output.  Closes: #992844.

 -- Julien Cristau <jcristau@debian.org>  Wed, 25 Aug 2021 17:22:58 +0200

mercurial (5.9-1) unstable; urgency=medium

  [ Nicolas Dandrimont ]
  * New upstream release.
    - Add OpenPGP key for Pulkit Goyal <7895pulkit@gmail.com>.
    - Refresh patches.

  [ Julien Cristau ]
  * Silence warnings from `which` in tests.

 -- Julien Cristau <jcristau@debian.org>  Mon, 23 Aug 2021 17:04:40 +0200
