## mercurial 5.9.3

=== debian/changelog ===
mercurial (5.9.3-1) unstable; urgency=medium

  * New upstream release.
    + proposed_upstream__revlog_s390x_part[12].patch: dropped, merged upstream
    + deb_specific__test_zstd_s390x.patch: updated

 -- Julien Cristau <jcristau@debian.org>  Thu, 28 Oct 2021 22:22:46 +0200
