=== debian/changelog ===
mercurial (6.0-1) experimental; urgency=medium

  * New upstream release

 -- Julien Cristau <jcristau@debian.org>  Tue, 23 Nov 2021 20:37:36 +0100

mercurial (6.0~rc0-1) experimental; urgency=medium

  * New upstream release candidate.

 -- Julien Cristau <jcristau@debian.org>  Wed, 10 Nov 2021 13:12:13 +0100
