## mercurial 6.0.1

=== debian/changelog ===
mercurial (6.0.1-3) unstable; urgency=medium

  * Use upstream's Makefile to build/install chg and man pages.

 -- Julien Cristau <jcristau@debian.org>  Thu, 13 Jan 2022 16:23:32 +0100

mercurial (6.0.1-2) unstable; urgency=medium

  * Stop installing debian-specific hg-ssh manpage, upstream has
    supplied one since 2016.
  * Replace pylint3 with pylint in autopkgtest dependencies.
  * Add python3-subversion and python3-pygit2 autopkgtest dependencies

 -- Julien Cristau <jcristau@debian.org>  Thu, 13 Jan 2022 11:35:12 +0100

mercurial (6.0.1-1) unstable; urgency=medium

  * Add Raphaël Gomès' key to the known set.
  * New upstream release.
    + deb_specific__test_zstd_s390x.patch: dropped, merged upstream
  * Upload to unstable.

 -- Julien Cristau <jcristau@debian.org>  Thu, 06 Jan 2022 10:16:00 +0100
