## mercurial 6.0.2

=== debian/changelog ===
mercurial (6.0.2-1) unstable; urgency=medium

  * Blocklist test-git-interop.t since we don't ship the corresponding
    extension.
  * New upstream bugfix release.

 -- Julien Cristau <jcristau@debian.org>  Thu, 03 Feb 2022 11:01:46 +0100
