## mercurial 6.1

=== debian/changelog ===
mercurial (6.1-4) sid; urgency=medium

  * Upload to unstable.

 -- Julien Cristau <jcristau@debian.org>  Thu, 24 Mar 2022 20:39:34 +0100

mercurial (6.1-3) experimental; urgency=medium

  * Fix test-clone-stream_bigendian.patch.

 -- Julien Cristau <jcristau@debian.org>  Tue, 15 Mar 2022 17:18:53 +0100

mercurial (6.1-2) experimental; urgency=medium

  * revlog_unsigned_char_fix.patch: fix FTBFS on architectures with
    unsigned char
  * Update test blacklist:
    - re-enable test-nointerrupt.t, test-https.t and
      test-narrow-shallow.t, fixed upstream
    - disable test-http-bad-server.t for intermittent failures
  * test-clone-stream_bigendian.patch: fix test-clone-stream.t failure
    on bigendian archs.

 -- Julien Cristau <jcristau@debian.org>  Tue, 15 Mar 2022 15:10:53 +0100

mercurial (6.1-1) experimental; urgency=medium

  * New upstream release.
  * deb_specific__which_silence_warning.patch: delete, no longer needed.

 -- Julien Cristau <jcristau@debian.org>  Wed, 02 Mar 2022 17:18:42 +0100
