=== debian/changelog ===
mercurial (6.1.1-1ubuntu1) jammy; urgency=medium

  * Skip test-https.t again since it tries to
    test TLS 1.0/1.1 which are disabled in Ubuntu

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 12 Apr 2022 19:05:02 +0000

mercurial (6.1.1-1) sid; urgency=medium

  * New upstream bugfix release.
  * Fix test failures with python 3.10 (closes: #1008747).

 -- Julien Cristau <jcristau@debian.org>  Mon, 11 Apr 2022 14:08:09 +0200
