## mercurial 6.1.2

=== debian/changelog ===
mercurial (6.1.2-1) sid; urgency=medium

  * Add zsh_completion to debian/copyright (closes: #1004341)
  * New upstream bugfix release
  * Fix test failures with openssl 3 (closes: #1011076)

 -- Julien Cristau <jcristau@debian.org>  Mon, 23 May 2022 12:21:07 +0200
