=== debian/changelog ===
mercurial (6.1.3-1) sid; urgency=medium

  * Blocklist test-convert-cvs-synthetic.t.
  * New upstream bugfix release.

 -- Julien Cristau <jcristau@debian.org>  Tue, 07 Jun 2022 20:53:46 +0200
