## mercurial 6.2

=== debian/changelog ===
mercurial (6.2-1) sid; urgency=medium

  * New upstream release
    - Update patch stack

 -- Julien Cristau <jcristau@debian.org>  Mon, 11 Jul 2022 15:19:13 +0200
