=== debian/changelog ===
mercurial (6.2.2-1build1) lunar; urgency=medium

  * No-change rebuild with Python 3.11 as supported

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 02 Nov 2022 10:27:53 +0000

mercurial (6.2.2-1) sid; urgency=medium

  * New upstream bugfix release
    - fixed fsmonitor extension (closes: #1014817)

 -- Julien Cristau <jcristau@debian.org>  Fri, 02 Sep 2022 14:08:12 +0200
