## mercurial 6.2.3

=== debian/changelog ===
mercurial (6.2.3-1) sid; urgency=medium

  * New upstream bugfix release.

 -- Julien Cristau <jcristau@debian.org>  Fri, 07 Oct 2022 14:26:54 +0200
