=== debian/changelog ===
mercurial (6.3.1-2) sid; urgency=medium

  * Fix FTBFS on 32-bit (closes: #1025621)

 -- Julien Cristau <jcristau@debian.org>  Wed, 07 Dec 2022 13:59:55 +0100

mercurial (6.3.1-1) sid; urgency=medium

  * New upstream release
    - add python3-packaging to build-deps and autopkgtest dependencies for
      run-tests, replacing
      py310/2_run_tests__silence_distutils_deprecation_warning.patch
  * test-hghave-testrepo.patch: new patch, to make test-hghave.t pass outside a
    hg repo.

 -- Julien Cristau <jcristau@debian.org>  Tue, 06 Dec 2022 11:57:31 +0100
