=== debian/changelog ===
mercurial (6.3.2-1+deb12u1) bookworm-security; urgency=high

  * CVE-2025-2361: reflected XSS in hgweb (closes: #1100899)
  * patchbomb: don't test ambiguous address (fixes FTBFS after python's
    fix for CVE-2023-27043).

 -- Julien Cristau <jcristau@debian.org>  Thu, 20 Mar 2025 13:56:44 +0100

mercurial (6.3.2-1) sid; urgency=medium

  * New upstream bugfix release.
  * from_upstream_stable.patch: pull in upstream changes up to changeset 812a9fbf4380
  * cgitb.patch: stop importing cgitb to avoid deprecation warnings
  * Skip test-remotefilelog-gc.t.
  * This fixes compatibility with python 3.11 (closes: #1028815)
  * Bump test timeout to 1800 because riscv64 is apparently even slower than
    mips (closes: #1024867).

 -- Julien Cristau <jcristau@debian.org>  Mon, 20 Feb 2023 18:44:46 +0100
