=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: mercurial
 Section: vcs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Tristan Seligmann <mithrandi@debian.org>,
  Julien Cristau <jcristau@debian.org>,
@@ -16,6 +15,7 @@
  python3-all-dev,
  python3-docutils,
  python3-roman,
+ python3-packaging <!nocheck>,
  rename <!nocheck>,
  unzip <!nocheck>,
  zip <!nocheck>,
