## mercurial 6.4.4

=== debian/changelog ===
mercurial (6.4.4-2) unstable; urgency=medium

  * Team upload
  * Remove retired uploader

  [ Julien Cristau ]
  * Skip test-convert-darcs.t and test-convert-svn-branches.t.
  * Re-enable test-http-bad-server.t (upstream bug was fixed)

 -- Bastian Germann <bage@debian.org>  Thu, 13 Jul 2023 14:29:24 +0200

mercurial (6.4.4-1) unstable; urgency=medium

  * New upstream release
    - chg-environ.patch: dropped, fixed upstream

 -- Julien Cristau <jcristau@debian.org>  Fri, 16 Jun 2023 15:14:31 +0200

mercurial (6.4.2-1) experimental; urgency=medium

  * New upstream release.
    - from_upstream_stable.patch: dropped, already upstream
    - openssl_3_cipher_tlsv1.patch: dropped, now merged upstream
    - chg-environ.patch: new patch, fixes chg build failure
    - proposed_upstream__doctest.path: updated

 -- Julien Cristau <jcristau@debian.org>  Tue, 18 Apr 2023 16:23:22 +0200
