## mercurial 6.5.2

=== debian/changelog ===
mercurial (6.5.2-2ubuntu1) noble; urgency=medium

  * Build-depend on python3-zombie-imp
  * Fix install changes in python3

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 07 Nov 2023 11:23:54 +0100

mercurial (6.5.2-2) unstable; urgency=medium

  * Fix test-clone-stream.t failure causing FTBFS on big endian

 -- Julien Cristau <jcristau@debian.org>  Wed, 27 Sep 2023 10:27:49 +0200

mercurial (6.5.2-1) unstable; urgency=medium

  * New upstream release
    + py310/9_tests__silence_asyncore_smtpd_deprecation_warnings.patch:
      dropped, upstream rewrote dummysmtpd.py
    + cgitb.patch: dropped, fixed upstream

 -- Julien Cristau <jcristau@debian.org>  Tue, 26 Sep 2023 14:49:11 +0200
