=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
- Tristan Seligmann <mithrandi@debian.org>,
  Julien Cristau <jcristau@debian.org>,
 Build-Depends:
  bash-completion,
@@ -15,6 +14,7 @@
  python3-all-dev,
  python3-docutils,
  python3-roman,
+ python3-zombie-imp,
  python3-packaging <!nocheck>,
  rename <!nocheck>,
  unzip <!nocheck>,
