=== debian/rules ===
--- 
+++ 
@@ -58,7 +58,7 @@
 	rm -rf debian/tmp/usr/lib/python*/*-packages/hgext/git
 
 install-python%:
-	dh_auto_install -- PREFIX=/usr PYTHON=python$*
+	dh_auto_install -- --install-layout=deb PREFIX=/usr PYTHON=python$*
 
 execute_after_dh_install:
 	if test -d $(CURDIR)/debian/mercurial ; then \
