## mercurial 6.5.3

=== debian/changelog ===
mercurial (6.5.3-1) unstable; urgency=medium

  * New upstream bugfix release.
  * Delete mercurial.egg-info/ on clean.
  * Pass DEB_PYTHON_INSTALL_LAYOUT to make install to work around
    distutils/setuptools being a mess.

 -- Julien Cristau <jcristau@debian.org>  Thu, 16 Nov 2023 17:57:14 +0100
