## mercurial 6.6

=== debian/changelog ===
mercurial (6.6-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Cristau <jcristau@debian.org>  Tue, 05 Dec 2023 15:17:28 +0100

mercurial (6.6~rc0-1) experimental; urgency=medium

  * New upstream release candidate.

 -- Julien Cristau <jcristau@debian.org>  Fri, 17 Nov 2023 10:11:37 +0100
