=== debian/changelog ===
mercurial (6.6.1-2) unstable; urgency=medium

  * histedit: remove superfluous echo() and endwin() calls.  Fixes
    incompatibility with ncurses patch level 20231111, see #1058041.
    Thanks, Sven Joachim!

 -- Julien Cristau <jcristau@debian.org>  Tue, 12 Dec 2023 13:28:02 +0100

mercurial (6.6.1-1) unstable; urgency=medium

  * New upstream bugfix release.
  * Mark test-copies-chain-merge as slow, so it's skipped.

 -- Julien Cristau <jcristau@debian.org>  Mon, 11 Dec 2023 14:23:00 +0100
